<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.wellness.model.ReagentItem" />

        <variable
            name="handler"
            type="com.vessel.app.tooltipscore.ui.ReagentScoreAdapter.OnActionHandler" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/spacing_small"
        android:layout_marginTop="@dimen/spacing_small"
        android:background="@{item.background}"
        android:onClick="@{(view) -> handler.onReagentSelected(item)}"
        app:clipToOutline="@{true}"
        tools:background="@drawable/primary_background">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.Bold.Small"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="@dimen/spacing_normal"
            android:layout_marginStart="@dimen/spacing_normal"
            android:text="@{item.title}"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:textColor="@{item.titleTextColor}"
            tools:text="@string/magnesium" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/status"
            style="@style/ReagentStatus"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_3xs"
            android:text="@{item.status}"
            android:textSize="@dimen/font_xs"
            app:layout_constraintStart_toStartOf="@id/title"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:textColor="@{item.statusTextColor}"
            tools:text="@string/good" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/score"
            style="@style/ScoreValue"
            visible="@{item.showScoreValue}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/spacing_2xs"
            android:text="@{item.lastChartValuePercent}"
            android:textSize="@dimen/font_title_xl"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/dash"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="@string/number_45" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/dash"
            style="@style/ScoreValue"
            visible="@{item.showScoreValue}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/spacing_2xs"
            android:text="@string/division"
            android:textSize="@dimen/font_small"
            app:layout_constraintBaseline_toBaselineOf="@id/score"
            app:layout_constraintEnd_toStartOf="@id/outOfScore" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/outOfScore"
            style="@style/Text.Small"
            visible="@{item.showScoreValue}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/spacing_small"
            android:text="@string/oneHundred"
            android:textColor="@color/black"
            app:layout_constraintBaseline_toBaselineOf="@id/score"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/reagentIcon" />

        <ImageView
            android:id="@+id/reagentIcon"
            android:layout_width="@dimen/score_tool_tip_reagent_icon_width"
            android:layout_height="@dimen/score_tool_tip_reagent_icon_height"
            android:scaleType="fitEnd"
            android:src="@{item.reagentImage}"
            app:clipToOutline="@{true}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/magnesium" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
